Subject: Re: [PATCH] i2c-cpm: Detect and report NAK right away instead of timing out.

From: Mike Ditto <[email-masked]>
Date: Sun, 02 Nov 2008 19:50:20 -0800

Ben Dooks wrote:
>> When reading from a device that is not present or declines to respond
>> to, e.g., a non-existent register address, CPM immediately reports a
>> NAK condition in the TxBD, but the driver kept waiting until a timeout,
>> which takes 1 second and causes an ugly console error message.
> 
> hmm, that block of text could probably go into the patch description.

It's certainly fine with me if you want to include it.  I was just
trying, perhaps inappropriately, to separate the "bug report" from the
"description of the change".

					-=] Mike [=-